Bug 29627 - Map biblioitems.publishercode to 264$b by default (MARC21)
Summary: Map biblioitems.publishercode to 264$b by default (MARC21)
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Caroline Cyr La Rose
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-12-02 22:50 UTC by Caroline Cyr La Rose
Modified: 2022-02-18 12:46 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
This updates the default Koha to MARC mappings so that biblioitems.publishercode maps to 264$b. Currently it only maps to 260$b,and RDA uses 264$b.
Version(s) released in:
22.05.00


Attachments
Bug 29627: Map biblioitems.publishercode to 264 by default (MARC21) (2.13 KB, patch)
2021-12-02 22:54 UTC, Caroline Cyr La Rose
Details | Diff | Splinter Review
Bug 29627: Map biblioitems.publishercode to 264 by default (MARC21) (2.18 KB, patch)
2021-12-04 06:06 UTC, David Nind
Details | Diff | Splinter Review
Bug 29627: Map biblioitems.publishercode to 264 by default (MARC21) (2.24 KB, patch)
2022-01-30 12:32 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Caroline Cyr La Rose 2021-12-02 22:50:53 UTC
In Administration > Koha to MARC mappings, biblioitems.publishercode is currently only mapped to 260$b. I propose we also link to 264$b as RDA uses that MARC field rather than 260.
Comment 1 Caroline Cyr La Rose 2021-12-02 22:54:59 UTC
Created attachment 128185 [details] [review]
Bug 29627: Map biblioitems.publishercode to 264 by default (MARC21)

This patch adds a mapping from 264 to biblioitems.publishercode.

To test:
1) Apply patch
2) Delete existing frameworks
   -  In the database
      delete from marc_tag_structure;
      delete from marc_subfield_structure;
      delete from biblio_framework;
3) Load default framework
   - In a terminal, run
     ./misc/load_yaml.pl -f installer/data/mysql/en/marcflavour/marc21/mandatory/marc21_framework_DEFAULT.yml --load
4) In the staff interface, go to Administration > MARC bibliographic framework
   - Make sure the default framework is there
5) In Administration > Koha to MARC mapping, check the mappings for biblioitems.publishercode
   - biblioitems.publishercode should be mapped to 260 as well as 264
6) Create a bibliographic record with a value in 264
   - In the database, check the biblioitems entry for this record, the value from 264 should be in publishercode
7) Create a bibliographic record with a value un 260
   - In the database, check the biblioitems entry for this record, the value from 260 should be in publishercode

I hope I didn't forget anything! :)

Caroline
Comment 2 David Nind 2021-12-04 06:06:54 UTC
Created attachment 128244 [details] [review]
Bug 29627: Map biblioitems.publishercode to 264 by default (MARC21)

This patch adds a mapping from 264 to biblioitems.publishercode.

To test:
1) Apply patch
2) Delete existing frameworks
   -  In the database
      delete from marc_tag_structure;
      delete from marc_subfield_structure;
      delete from biblio_framework;
3) Load default framework
   - In a terminal, run
     ./misc/load_yaml.pl -f installer/data/mysql/en/marcflavour/marc21/mandatory/marc21_framework_DEFAULT.yml --load
4) In the staff interface, go to Administration > MARC bibliographic framework
   - Make sure the default framework is there
5) In Administration > Koha to MARC mapping, check the mappings for biblioitems.publishercode
   - biblioitems.publishercode should be mapped to 260 as well as 264
6) Create a bibliographic record with a value in 264
   - In the database, check the biblioitems entry for this record, the value from 264 should be in publishercode
7) Create a bibliographic record with a value un 260
   - In the database, check the biblioitems entry for this record, the value from 260 should be in publishercode

I hope I didn't forget anything! :)

Caroline

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 David Nind 2021-12-04 06:09:42 UTC
Testing notes using koha-testing-docker:

1. Had to make 264$b visible in the editor for the default framework

2. Database query for steps 6 and 7 (where XXX = the newly created record number): select * from biblioitems where biblionumber = XXX;
Comment 4 David Nind 2021-12-04 06:57:14 UTC
I also changed the assignee for the bug to you.
Comment 5 Katrin Fischer 2022-01-30 12:32:52 UTC
Created attachment 129975 [details] [review]
Bug 29627: Map biblioitems.publishercode to 264 by default (MARC21)

This patch adds a mapping from 264 to biblioitems.publishercode.

To test:
1) Apply patch
2) Delete existing frameworks
   -  In the database
      delete from marc_tag_structure;
      delete from marc_subfield_structure;
      delete from biblio_framework;
3) Load default framework
   - In a terminal, run
     ./misc/load_yaml.pl -f installer/data/mysql/en/marcflavour/marc21/mandatory/marc21_framework_DEFAULT.yml --load
4) In the staff interface, go to Administration > MARC bibliographic framework
   - Make sure the default framework is there
5) In Administration > Koha to MARC mapping, check the mappings for biblioitems.publishercode
   - biblioitems.publishercode should be mapped to 260 as well as 264
6) Create a bibliographic record with a value in 264
   - In the database, check the biblioitems entry for this record, the value from 264 should be in publishercode
7) Create a bibliographic record with a value un 260
   - In the database, check the biblioitems entry for this record, the value from 260 should be in publishercode

I hope I didn't forget anything! :)

Caroline

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Katrin Fischer 2022-01-30 12:33:45 UTC
Thx Caroline, long overdue :)
Comment 7 Fridolin Somers 2022-02-16 21:52:16 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄